import { ImageCacheItBase } from './common';
export declare class ImageCacheItError extends Error {
    _native: java.lang.Exception;
    static fromNative(native: java.lang.Exception, message?: string): ImageCacheItError;
    _message: string;
    get message(): string;
    get native(): java.lang.Exception;
    intoNative(): java.lang.Exception;
}
export declare class ImageCacheIt extends ImageCacheItBase {
    private emptyBackground;
    constructor();
    createNativeView(): any;
    static get maxDiskCacheSize(): number;
    static set maxDiskCacheSize(size: number);
    static set maxMemoryCacheSize(size: number);
    static get maxMemoryCacheSize(): number;
    static get maxDiskCacheAge(): number;
    static set maxDiskCacheAge(age: number);
    private _handleSource;
    initNativeView(): void;
    private _calculateKeepAspectRatio;
    disposeNativeView(): void;
    resetNativeView(): void;
    private _getOverlayColor;
    private _setOverlayColor;
    private static isNumber;
    private static getResourceId;
    private static _setFallback;
    private static _setPlaceHolder;
    private static _setErrorHolder;
    private static _setSrc;
    private _setHeaders;
    static getImage(context: any, src: any): any;
    private static _setFilter;
    private _setStretch;
    private static lastActivity;
    private static _init;
    static getItem(src: string, headers?: Map<string, string>): Promise<any>;
    static deleteItem(src: string): Promise<any>;
    static hasItem(src: string): Promise<any>;
    static clear(): Promise<any>;
    static enableAutoMM(): void;
    static disableAutoMM(): void;
}
