import { ImageCacheItBase } from './common';
export declare class ImageCacheItError extends Error {
    _native: NSError;
    static fromNative(native: NSError, message?: string): ImageCacheItError;
    get native(): NSError;
    _message: string;
    get message(): string;
    intoNative(): NSError;
}
export declare class ImageCacheIt extends ImageCacheItBase {
    nativeViewProtected: NSCImageCacheItView;
    _imageSourceAffectsLayout: boolean;
    constructor();
    static get maxDiskCacheSize(): number;
    static set maxDiskCacheSize(size: number);
    static set maxMemoryCacheSize(size: number);
    static get maxMemoryCacheSize(): number;
    static get maxDiskCacheAge(): number;
    static set maxDiskCacheAge(age: number);
    createNativeView(): NSCImageCacheItView;
    initNativeView(): void;
    onMeasure(widthMeasureSpec: number, heightMeasureSpec: number): void;
    private static computeScaleFactor;
    getFileName(path: string): string;
    static hasItem(src: string): Promise<any>;
    static deleteItem(src: string): Promise<any>;
    static getItem(src: string, headers: Map<string, string>): Promise<any>;
    static clear(): Promise<any>;
    static enableAutoMM(): void;
    static disableAutoMM(): void;
}
